Package org.apache.lucene.queries.spans

# Class SpanNotQuery.SpanNotWeight

java.lang.Object
org.apache.lucene.search.Weight
org.apache.lucene.queries.spans.SpanWeight
org.apache.lucene.queries.spans.SpanNotQuery.SpanNotWeight

All Implemented Interfaces:
  `SegmentCacheable`

Enclosing class:
  `SpanNotQuery`

public class SpanNotQuery.SpanNotWeight extends SpanWeight
Creates SpanNotQuery scorer instances

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.queries.spans.SpanWeight

`SpanWeight.Postings`

## Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

`Weight.DefaultBulkScorer, Weight.DefaultScorerSupplier`

## Field Summary

### Fields inherited from class org.apache.lucene.queries.spans.SpanWeight

`field, similarity, simScorer`

### Fields inherited from class org.apache.lucene.search.Weight

`parentQuery`

## Constructor Summary

Constructors
Constructor
Description
`SpanNotWeight(IndexSearcher searcher, Map<Term,TermStates> terms, SpanWeight includeWeight, SpanWeight excludeWeight, float boost)`

## Method Summary

Modifier and Type
Method
Description
`void`
`extractTermStates(Map<Term,TermStates> contexts)`
Collect all TermStates used by this Weight
`Spans`
`getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
Expert: Return a Spans object iterating over matches from this Weight
`boolean`
`isCacheable(LeafReaderContext ctx)`

### Methods inherited from class org.apache.lucene.queries.spans.SpanWeight

`explain, getSimScorer, matches, scorerSupplier`

### Methods inherited from class org.apache.lucene.search.Weight

`bulkScorer, count, getQuery, scorer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpanNotWeight

public SpanNotWeight(IndexSearcher searcher, Map<Term,TermStates> terms, SpanWeight includeWeight, SpanWeight excludeWeight, float boost) throws IOException

Throws:
  `IOException`

## Method Details

### extractTermStates

public void extractTermStates(Map<Term,TermStates> contexts)
Description copied from class: `SpanWeight`
Collect all TermStates used by this Weight

Specified by:
  `extractTermStates` in class `SpanWeight`
Parameters:
  `contexts` - a map to add the TermStates to

### getSpans

public Spans getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings) throws IOException
Description copied from class: `SpanWeight`
Expert: Return a Spans object iterating over matches from this Weight

Specified by:
  `getSpans` in class `SpanWeight`
Parameters:
  `context` - a LeafReaderContext for this Spans
Returns:
  a Spans
Throws:
  `IOException` - on error

### isCacheable

public boolean isCacheable(LeafReaderContext ctx)